#if !defined(AFX_AAMYMOVCTL_H__A44343F5_BFB2_11D0_942B_0080C838D5F9__INCLUDED_)
#define AFX_AAMYMOVCTL_H__A44343F5_BFB2_11D0_942B_0080C838D5F9__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// AamymovCtl.h : Declaration of the CAamymovCtrl ActiveX Control class.
#include "cmovie.h"

/////////////////////////////////////////////////////////////////////////////
// CAamymovCtrl : See AamymovCtl.cpp for implementation.

class CAamymovCtrl : public COleControl
{
	DECLARE_DYNCREATE(CAamymovCtrl)

// Constructor
public:
	CAamymovCtrl();

	void RePaint();

////////////////////////////////////// YU >>
private:
     CString        m_cstrTitle;
		 
public:
     CToolBar 		m_ctrlToolBar;
     CMenu    		m_Menu;
     CMovie         m_ctrlMovie;
     RECT           m_rectShowData;
////////////////////////////////////// YU <<

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAamymovCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	virtual BOOL OnProperties(LPMSG lpMsg, HWND hWndParent, LPCRECT lpRect);
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CAamymovCtrl();

	DECLARE_OLECREATE_EX(CAamymovCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CAamymovCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CAamymovCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CAamymovCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CAamymovCtrl)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnAppAbout();
	afx_msg void OnFileOpen();
	afx_msg void OnFileClose();
	afx_msg void OnMoviePlay();
	afx_msg void OnMoviePause();
	afx_msg void OnMovieStop();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnTest();
	afx_msg void OnProperty();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CAamymovCtrl)
	OLE_COLOR m_DataBackColor;
	afx_msg void OnDataBackColorChanged();
	OLE_COLOR m_StringColor;
	afx_msg void OnStringColorChanged();
	CString m_editText;
	afx_msg void OnEditTextChanged();
	afx_msg BSTR GetTitle();
	afx_msg void SetTitle(LPCTSTR lpszNewValue);
	afx_msg void Play();
	afx_msg void Open();
	afx_msg void Stop();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CAamymovCtrl)
	void FireOnStartPlay()
		{FireEvent(eventidOnStartPlay,EVENT_PARAM(VTS_NONE));}
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CAamymovCtrl)
	dispidDataBackColor = 1L,
	dispidTitle = 4L,
	dispidStringColor = 2L,
	dispidEditText = 3L,
	dispidPlay = 5L,
	dispidOpen = 6L,
	dispidStop = 7L,
	eventidOnStartPlay = 1L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AAMYMOVCTL_H__A44343F5_BFB2_11D0_942B_0080C838D5F9__INCLUDED)
